Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspInvokeGrailsTagLibTag

    java.lang.Object
      javax.servlet.jsp.tagext.BodyTagSupport
          org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag

All Implemented Interfaces:
  DynamicAttributes

    public class JspInvokeGrailsTagLibTag
    extends BodyTagSupport

A tag that invokes a tag defined in a the Grails dynamic tag library. Authors of Grails tags who want their tags to work in JSP should sub-class this class and call "setTagName" to set the tagName of the tag within the Grails taglib This tag can of course be used standalone to invoke a Grails tag from JSP: ``

Authors:
  Graeme Rocher

Since:
  16-Jan-2006

Field Summary
`protected java.util.Map` | `attributes`

Constructor Summary
`JspInvokeGrailsTagLibTag()`

Method Summary
`int` | `doAfterBody()`
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected int` | `doStartTagInternal()`
`java.lang.String` | `getTagName()`
`void` | `setDynamicAttribute(java.lang.String uri, java.lang.String localName, java.lang.Object value)`
`void` | `setTagName(java.lang.String tagName)`

Field Detail

### attributes

    protected java.util.Map attributes

Constructor Detail

### JspInvokeGrailsTagLibTag

    public JspInvokeGrailsTagLibTag()

Method Detail

### doAfterBody

    @Override
    public int doAfterBody()

### doEndTag

    @Override
    public int doEndTag()

### doStartTag

    @Override
    public final int doStartTag()

### doStartTagInternal

    @SuppressWarnings("rawtypes")
    protected int doStartTagInternal()

### getTagName

    public java.lang.String getTagName()

### setDynamicAttribute

    public final void setDynamicAttribute(java.lang.String uri, java.lang.String localName, java.lang.Object value)

### setTagName

    public void setTagName(java.lang.String tagName)

Groovy Documentation